% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SemiParametricCopulawithoutCovariates.R
\name{Likelihood.Semiparametric}
\alias{Likelihood.Semiparametric}
\title{Calculate the semiparametric version of profiled likelihood function}
\usage{
Likelihood.Semiparametric(
  param,
  Syobs,
  yobs,
  delta,
  copfam,
  margins,
  cure = FALSE
)
}
\arguments{
\item{param}{a vector contains all parametric parameters.}

\item{Syobs}{values of survival function at observed time points.}

\item{yobs}{a numeric vector that indicated the observed survival times.}

\item{delta}{a numeric vector that stores the right-censoring indicators.}

\item{copfam}{a character string that specifies the copula family.}

\item{margins}{a list used to define the distribution structures of both the survival and censoring margins.}

\item{cure}{a logical value that indicates whether the existence of a cured fraction should be considered.}
}
\description{
Calculate the semiparametric version of profiled likelihood function
}
