% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SemiParametricCopulawithoutCovariates.R
\name{SurvDC.GoF}
\alias{SurvDC.GoF}
\title{Calculate the goodness-of-fit test statistic}
\usage{
SurvDC.GoF(
  yobs,
  delta,
  copfam,
  margins,
  ktau,
  parapar,
  cure = FALSE,
  curerate = NULL
)
}
\arguments{
\item{yobs}{a numeric vector that indicated the observed survival times.}

\item{delta}{a numeric vector that stores the right-censoring indicators.}

\item{copfam}{a character string that specifies the copula family.}

\item{margins}{a list used to define the distribution structures of both the survival and censoring margins.}

\item{ktau}{Kendall's tau.}

\item{parapar}{parametric parameters.}

\item{cure}{a logical value that indicates whether the existence of a cured fraction should be considered.}

\item{curerate}{value of cure rate.}
}
\description{
Calculate the goodness-of-fit test statistic
}
