% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SemiParametricCopulawithoutCovariates.R
\name{SurvMLE}
\alias{SurvMLE}
\title{Maximum likelihood estimator for a given parametric distribution}
\usage{
SurvMLE(
  yobs,
  delta,
  distribution,
  truncation = NULL,
  cure = FALSE,
  maxit = 300
)
}
\arguments{
\item{yobs}{a numeric vector that indicated the observed survival times.}

\item{delta}{a numeric vector that stores the right-censoring indicators.}

\item{distribution}{the specified distribution function.}

\item{truncation}{a positive numeric value thats denotes the value of truncation for the assumed distribution.}

\item{cure}{a logical value that indicates whether the existence of a cured fraction should be considered.}

\item{maxit}{a positive integer that denotes the maximum iteration number in optimization.}
}
\description{
Maximum likelihood estimator for a given parametric distribution
}
